Subject: Re: [sfc] IETF90 Toronto SFC Agenda

From: "Ken Gray (kegray)" <[email-masked]>
Date: Wed, 16 Jul 2014 00:27:02 +0000

Writing never guarantees an audience in any arena (or we'd all be authors).

Given the work ahead and the AMAZING wander on the sfc mailing list around architecture, I'm fully for sticking to core discussions in the time allotted.

As to multiple sessions, I would suggest we get our stuff together as a group around architecture and the rest of the core before we go barking about other things.  I think Joel is doing an excellent job, btw - medal–of-valour stuff.  Let's focus and finish THAT.

As for all the disappointed authors and for those wanting to stretch the five minute question period into forever … I encourage the WG chairs to get a stamp that says "USE THE LIST" … get people to review your work … circulate your opinion … on the list.  Unless you've just had a stroke of genius that we've all got to hear.

From: Linda Dunbar <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, July 15, 2014 6:55 PM
To: "Jim Guichard (jguichar)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [sfc] IETF90 Toronto SFC Agenda

Jim and Thomas,

With so many drafts to SFC, why not asking for two or three meeting slots?

It is not fair to “ turn down 7 requests”. What are the criteria of choosing which drafts to be discussed in the f2f meeting time?

Linda

From: sfc [mailto:[email-masked]] On Behalf Of Jim Guichard (jguichar)
Sent: Tuesday, July 15, 2014 8:22 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [sfc] IETF90 Toronto SFC Agenda
Importance: High

Dear WG:

Below is the draft agenda for SFC. Please note that we received more requests for presentation slots than could reasonably be accommodated (we had to turn down 7 requests). We based our selection on overall relevance and importance to the SFC charter and the immediate deliverables (at this point, architecture, requirements, OAM, encapsulation).

A copy of the agenda is posted here -> https://datatracker.ietf.org/secr/proceedings/90/sfc/. Please can presented forward copies of their presentations to Thomas and I so that we can upload them to the proceedings page prior to the meeting.

0.00 Introduction (WG-chairs) - [10 minutes]

- Update on PS progression (WG-chairs) - [5 minutes]

- Agenda bashing, note-well, (WG-chairs) - [5 minutes]

00:10 SFC requirements discussion (presenters + open-mic) - [20 minutes]

Purpose: Discuss how to progress requirements within the WG. Which documents should requirements be included in? How do requirements drive our charter? How should requirements be structured and documented?

- SFC requirements discussion (Ron Parker) - [10 minutes]

   * http://datatracker.ietf.org/doc/draft-boucadair-sfc-requirements/

- SFC requirements Q&A (open-mic) - [10 minutes]

00:30 SFC architecture discussion (presenters + open-mic) - [20 minutes]

Purpose: Identify current status of architecture work. How do we get to a single WG document? What gaps need filling from other existing documents? What other documents fall under the umbrella of architecture?

- SFC architecture merge (Carlos Pignataro) - [10 minutes]

   * http://datatracker.ietf.org/doc/draft-merged-sfc-architecture/

- SFC architecture Q&A (open-mic) - [10 minutes]

00:50 SFC encapsulation - [30 minutes]

Purpose: Discuss WG progression of SFC encapsulation.

- Network Service Headers (NSH) (Paul Quinn) - [10 minutes]

   * http://datatracker.ietf.org/doc/draft-quinn-sfc-nsh/

- Service Chain Header (SCH) (Ron Parker) - [10 minutes]

   * http://datatracker.ietf.org/doc/draft-zhang-sfc-sch/

- SFC encapsulation Q&A (open-mic) - [10 minutes]

01:20 Service Function Chaining Operations, Administration and Maintenance Framework - [30 minutes]

Purpose: Present SFC OAM framework, which is an essential piece of the SFC charter and work areas.

- SFC OAM Framework (Sam Aldrin) - [10 minutes]

   * http://www.ietf.org/internet-drafts/draft-aldrin-sfc-oam-framework-00.txt

- SFC OAM Requirements / Framework (Ramki Krishnan) - [10 minutes]

   * https://ietf.org/doc/draft-krishnan-sfc-oam-req-framework/

- SFC OAM Q&A (open-mic) - [10 minutes]

01:50 Open Source SFC - [15 minutes]

Purpose: Present a working SFC implementation as a start to investigation into the control / management plane requirements that need to be addressed as part of the SFC charter and reported back to OPS.

- Open Source SFC implementation (Reinaldo Penno) - [15 minutes]

02:05 SFC use cases - [20 minutes]

Purpose: Review use case progression. Are further documents needed? What is missing from existing WG documents?

- SFC Generic Use Cases (Hongyu Li) - [10 minutes]

   * http://datatracker.ietf.org/doc/draft-liu-sfc-use-cases/

- SFC use case Q&A (open-mic) - [10 minutes]

02:25 Closing (WG chairs) - [5 minutes]

Thank You

Jim & Thomas